Bug 976255 - [abrt] xorg-x11-server-Xephyr-1.14.1-4.fc19: OsAbort: Process /usr/bin/Xephyr was killed by signal 6 (SIGABRT)
[abrt] xorg-x11-server-Xephyr-1.14.1-4.fc19: OsAbort: Process /usr/bin/Xephyr...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:ec910643ea91cb90eb2c66ca67c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 04:35 EDT by Michele Baldessari
Modified: 2013-11-26 03:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 03:30:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.54 KB, text/plain)
2013-06-20 04:35 EDT, Michele Baldessari
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-20 04:35 EDT, Michele Baldessari
no flags Details
File: core_backtrace (1.67 KB, text/plain)
2013-06-20 04:35 EDT, Michele Baldessari
no flags Details
File: dso_list (2.79 KB, text/plain)
2013-06-20 04:35 EDT, Michele Baldessari
no flags Details
File: environ (2.72 KB, text/plain)
2013-06-20 04:35 EDT, Michele Baldessari
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-20 04:35 EDT, Michele Baldessari
no flags Details
File: maps (14.00 KB, text/plain)
2013-06-20 04:35 EDT, Michele Baldessari
no flags Details
File: open_fds (42 bytes, text/plain)
2013-06-20 04:35 EDT, Michele Baldessari
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-06-20 04:35 EDT, Michele Baldessari
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 69357 None None None Never

  None (edit)
Description Michele Baldessari 2013-06-20 04:35:28 EDT
Description of problem:
Just start:
$ Xephyr -screen 800x600x8 :1 

and then connect an X client to it:
$ DISPLAY=:1 xchm
xchm: Fatal IO error 0 (Success) on X server :1.


Version-Release number of selected component:
xorg-x11-server-Xephyr-1.14.1-4.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        Xephyr -screen 800x600x8 :1
crash_function: OsAbort
executable:     /usr/bin/Xephyr
kernel:         3.10.0-rc3+
runlevel:       N 5
uid:            1000
var_log_messages: Binary file /var/log/messages matches
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 OsAbort at utils.c:1299
 #3 AbortDDX at kdrive.c:237
 #4 AbortServer at log.c:670
 #5 FatalError at log.c:811
 #6 OsSigHandler at osinit.c:147
 #8 ??
 #9 dest_get_scanline_narrow at pixman-bits-image.c:1531
 #10 general_composite_rect at pixman-general.c:197
 #11 pixman_image_composite32 at pixman.c:707
 #12 pixman_image_composite at pixman.c:730
Comment 1 Michele Baldessari 2013-06-20 04:35:32 EDT
Created attachment 763316 [details]
File: backtrace
Comment 2 Michele Baldessari 2013-06-20 04:35:36 EDT
Created attachment 763317 [details]
File: cgroup
Comment 3 Michele Baldessari 2013-06-20 04:35:40 EDT
Created attachment 763318 [details]
File: core_backtrace
Comment 4 Michele Baldessari 2013-06-20 04:35:43 EDT
Created attachment 763319 [details]
File: dso_list
Comment 5 Michele Baldessari 2013-06-20 04:35:46 EDT
Created attachment 763320 [details]
File: environ
Comment 6 Michele Baldessari 2013-06-20 04:35:50 EDT
Created attachment 763321 [details]
File: limits
Comment 7 Michele Baldessari 2013-06-20 04:35:53 EDT
Created attachment 763322 [details]
File: maps
Comment 8 Michele Baldessari 2013-06-20 04:35:56 EDT
Created attachment 763323 [details]
File: open_fds
Comment 9 Michele Baldessari 2013-06-20 04:35:59 EDT
Created attachment 763324 [details]
File: proc_pid_status
Comment 10 Michele Baldessari 2013-09-14 08:30:48 EDT
Tried from git today (47ff382):
Program received signal SIGSEGV, Segmentation fault.
0x0000003afe418208 in dest_get_scanline_narrow (iter=0x7fffffff7c10, mask=0x0) at pixman-bits-image.c:1531
1531	    image->bits.fetch_scanline_32 (image, x, y, width, buffer, mask);
(gdb) bt
#0  0x0000003afe418208 in dest_get_scanline_narrow (iter=0x7fffffff7c10, mask=0x0)
    at pixman-bits-image.c:1531
#1  0x0000003afe457ccb in general_composite_rect (imp=0x81f060, info=<optimized out>) at pixman-general.c:197
#2  0x0000003afe40b8b1 in pixman_image_composite32 (op=op@entry=PIXMAN_OP_OVER, src=src@entry=0xa21220, 
    mask=mask@entry=0xa21440, dest=dest@entry=0xa21330, src_x=0, src_y=0, mask_x=0, mask_y=0, dest_x=148, 
    dest_y=81, width=8, height=2) at pixman.c:707
#3  0x0000003afe40b983 in pixman_image_composite (op=op@entry=PIXMAN_OP_OVER, src=src@entry=0xa21220, 
    mask=mask@entry=0xa21440, dest=dest@entry=0xa21330, src_x=<optimized out>, src_y=<optimized out>, 
    mask_x=<optimized out>, mask_x@entry=0, mask_y=<optimized out>, mask_y@entry=0, dest_x=<optimized out>, 
    dest_x@entry=148, dest_y=<optimized out>, dest_y@entry=81, width=<optimized out>, width@entry=8, 
    height=<optimized out>) at pixman.c:730
#4  0x0000003afe46649c in pixman_composite_trapezoids (op=op@entry=PIXMAN_OP_OVER, src=src@entry=0xa21220, 
    dst=dst@entry=0xa21330, mask_format=<optimized out>, x_src=x_src@entry=-148, y_src=-81, x_dst=0, 
    y_dst=0, n_traps=n_traps@entry=1, traps=traps@entry=0xa0d2f0) at pixman-trap.c:540
#5  0x000000000049aaa1 in fbShapes (composite=0x3afe466130 <pixman_composite_trapezoids>, op=PIXMAN_OP_OVER, 
    pSrc=0xa21140, pDst=0xa21010, maskFormat=0x840878, xSrc=<optimized out>, ySrc=-81, 
    nshapes=nshapes@entry=1, shape_size=shape_size@entry=40, shapes=shapes@entry=0xa0d2f0 "\211\241Q")
    at fbtrap.c:145
#6  0x000000000049ad30 in fbTrapezoids (op=<optimized out>, pSrc=<optimized out>, pDst=<optimized out>, 
    maskFormat=<optimized out>, xSrc=<optimized out>, ySrc=<optimized out>, ntrap=1, traps=0xa0d2f0)
    at fbtrap.c:167
#7  0x0000000000530c33 in ProcRenderTrapezoids (client=0xa0cf00) at render.c:759
#8  0x0000000000430ab7 in Dispatch () at dispatch.c:432
#9  0x000000000043489a in dix_main (argc=4, argv=0x7fffffffe188, envp=<optimized out>) at main.c:294
#10 0x0000003af1c21d65 in __libc_start_main (main=0x41f7b0 <main>, argc=4, argv=0x7fffffffe188, 
    init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffffffe178)
    at libc-start.c:269
#11 0x000000000041f7e1 in _start ()
Comment 11 Michele Baldessari 2013-11-26 03:30:25 EST
Fixed via patches from Soren:
623c414 ephyr: Ensure stride of private framebuffer is multiple of 4
97cf53c ephyr: hostx_screen_init(): Fix bits_per_pixel and bytes_per_line

Although those have not yet hit Fedora.

Closing it anyway.

Note You need to log in before you can comment on or make changes to this bug.